<%if(currentUser.user_access >= 3) { %>
<!-- Modal -->
<div id="myModal" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title"> Alarmes actives </h4>
      </div>
      <div class="modal-body" id="alarm_popup_body">
        <%for(let i = 0; i < activeAlarms.length; i++) { %>
            <div id=<%= "alarmDiv" + i.toString() %>>
                <p> ID: <%= activeAlarms[i].log_id %></p>
                <p> Message: <%= activeAlarms[i].message %></p>
                <button type="button" class="btn btn-default" onclick=<%=  "hideAlarm('alarmDiv" + i.toString() + "');" %>> Je me délègue </button>
                <button type="button" class="btn btn-primary" onclick=<%= "dismissAlarm('alarmDiv" + i.toString() + "'," + activeAlarms[i].log_id.toString() + ","+ currentUser.user_id.toString() + ",'" + currentUser.user_username + "');"%>> Je m'en charge </button>
            </div>
        <% } %>
      </div>
    </div>
  </div>
</div>

<p class="hidden" id="activeAlarmsArray">  <%= JSON.stringify(activeAlarms) %> </p>

<script src="/public/scripts/js/script_alarmPopup.js"> </script>

<% } %>
